/*
 * hello.c
 *
 * A hello world application using the Bonobo UI handler
 *
 * Authors:
 *	Murray Cumming   <murrayc@usa.net>
 *
 * This program is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License as 
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */


#include <gtkmm/main.h>
#include "examplewindow.h"
#include <libbonoboui.h>

int 
main (int argc, char* argv[])
{
    /* Setup translaton domain */
    //bindtextdomain (GETTEXT_PACKAGE, GNOMELOCALEDIR);
    //textdomain (GETTEXT_PACKAGE);
    
    if (!bonobo_ui_init ("bonobo-hello", "1.0", &argc, argv))
	g_error (_("Cannot init libbonoboui code"));
    
#if 0
   {
     CORBA::ORB_var orb = CORBA::ORB_init(argc, argv);

     // Get the root POA
     CORBA::Object_var pfobj = orb->resolve_initial_references("RootPOA");

     PortableServer::POA_var rootPOA = PortableServer::POA::_narrow(pfobj);

     // Activate the root POA's manager
     PortableServer::POAManager_var mgr = rootPOA->the_POAManager();

     mgr->activate();
   }
#endif

   Gtk::Main main(argc, argv);

   ExampleWindow window;

   main.run (window);

   return 0;
}
